////////////////////////////////////////////////////////////
// : myscale
// :   Ը 
// :   http://urvanov.ru
////////////////////////////////////////////////////////////

#include <windows.h>
#include "myscale.h"


POINT inline Transform(POINT & pt, float  matrix[3][3])
{
	POINT newpt;
	float x=(float)pt.x,y=(float)pt.y;
	newpt.x=(long)(matrix[0][0]*x+matrix[0][1]*y+matrix[0][2]);
	newpt.y=(long)(matrix[1][0]*x+matrix[1][1]*y+matrix[1][2]);
	return newpt;
}

void Scale(POINT * points, int countpoints,float sx, float sy, int xf, int yf)
{
	float matrix[3][3]={
			sx,0,xf*(1-sx),
			0,sy,yf*(1-sy),
			0,0,1
		};
	int register m;
	for (m=0; m<countpoints; m++)
	{
		points[m]=Transform((points[m]),matrix);

	}
}